/addContact

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description:

This functionality is used to add contact information to a reservation.
Please add as many customer information as possible for support and aftersale purposes for the users (museums).

HMAC calculation
Base64 encode - SHA256(apiKey + customerAddressCity + customerAddressNumber + customerAddressPostalCode + customerAddressStreet + customerCountry + customerEmailAddress + customerFirstName + customerMiddleName + customerPhoneNumber + customerSurname + environment + reservationId + userId)

  • Sort the sign data alphabetical ascending, you can also find the sequence on the concerned API specification page.

Please note: optional fields only needs to be included when an optional field is used.

Body Params
string
required

Your public apiKey needs to be included in every request

string
enum
required

"test" or "production"

Allowed:
int32
required

The userId is a reference to the user (museum / attraction). The userId can be requested via getAvailableUsers and can be cached in your application

int32
required

Include the reservationId from the createReservation request

string
required

First name of the customer

string

Mostly used in Dutch names. For example: Vincent van Gogh

string
required

Surname of the customer

string
required

Email address of the customer

string

Telephonenumber of the customer

string

Street address of the customer

string

Housenumber of the customer

string

Postal code of the customer

string

City of the customer

string

Country of the customer according to the ISO 3166-1 (2 letter country code)

string
required

The HMACKey is calculated based on the input fields

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json